VkStencilOpState Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStencilOp | failOp
VkStencilOp | passOp
VkStencilOp | depthFailOp
VkCompareOp | compareOp
uint32_t | compareMask
uint32_t | writeMask
uint32_t | reference

## Detailed Description

Definition at line 2407 of file vulkan_core.h.

## Field Documentation

## compareMask

uint32_t VkStencilOpState::compareMask

Definition at line 2412 of file vulkan_core.h.

## compareOp

VkCompareOp VkStencilOpState::compareOp

Definition at line 2411 of file vulkan_core.h.

## depthFailOp

VkStencilOp VkStencilOpState::depthFailOp

Definition at line 2410 of file vulkan_core.h.

## failOp

VkStencilOp VkStencilOpState::failOp

Definition at line 2408 of file vulkan_core.h.

## passOp

VkStencilOp VkStencilOpState::passOp

Definition at line 2409 of file vulkan_core.h.

## reference

uint32_t VkStencilOpState::reference

Definition at line 2414 of file vulkan_core.h.

## writeMask

uint32_t VkStencilOpState::writeMask

Definition at line 2413 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h